def draw_array( png, array, x, y, height, width)
	xx=array[0].length-1
	wx=width/xx
	yy=array.length-1
	wy=height/yy
	max=-1000
	min=1000
	for i in 0..xx
	  for j in 0..yy
	    value = array[j][i].to_i   
      if 	value > max
        max = value
      end
      if 	value < min
        min = value
      end
    end
  end
	for i in 0..xx
	  for j in 0..yy
      value = array[j][i].to_i
     # if value == 0
     #    color = ChunkyPNG::Color.rgba(0,0,0,255)	        
     # elsif value < 0 
     #    color = ChunkyPNG::Color.rgba(0,0,0,255)
     # else
        lum = (255.0*((value-min)*1.0/(max-min)*1.0)).to_i
        color = ChunkyPNG::Color.rgba(lum,lum,lum,255)
      #end

      
      
      png = png.rect(x+wx*i,y+wy*j,x+wx*(i+1),y+wy*(j+1),color,color)
    end
  end
  return png
end

# Creating an image from scratch, save as an interlaced PNG
#a = [[1, 2, 3, 4], [4, 5, 6, 7], [7, 8, 9, 1], [1, 2, 3, 4]]
#png = ChunkyPNG::Image.new(400, 200, ChunkyPNG::Color::TRANSPARENT)
#png[1,1] = ChunkyPNG::Color.rgba(10, 20, 30, 128)
#png[2,1] = ChunkyPNG::Color('black @ 0.5')
#color = ChunkyPNG::Color.rgba(255, 0, 0, 128)
#png = png.rect(5,5,20,20,color,color)
#png = draw_array(png, a, 30,30,100,100)
#png.save('filename.png', :interlace => true)

