#include <Servo.h>
Servo myservo1;
Servo myservo2;
// create servo objects
int sensorPin = A3;
int measureTime = 120; 
int trans_Steps = 40; 
int rot_Steps = 40;
int offset = 20;
int offset_r = 0;
int x = 0;
int angle = 0;
int sensorValue = 0; 
int oldSensorValue = 0; 
long time = 0;
long currentCount = 0; 
int cutOff = 400;
void setup () {
  myservo1.attach(9);
  myservo2.attach(10);
  // attaches the servos:
  // rotation - Pin 09 (0-180), translation - Pin 10 (0-180) Serial.begin(9600);
}
void loop () {
  for (int trans_Step=0;trans_Step<trans_Steps;trans_Step+=1) {
    x = int(1.0* trans_Step * ( (180-offset)/trans_Steps)); 
    if (x<180-offset) {
      delay(1000); 
      myservo2.write(x+offset); 
      myservo1.write(0); 
      delay(1000);
      myservo2.write(x);
      delay(1000);
    }
    for (int rot_Step=0;rot_Step<rot_Steps;rot_Step+=1) { 
      angle = int(float(rot_Step)*(((180.0-float(offset_r)))/float(rot_Steps))); 
      (angle <180-offset_r) {
        myservo1.write(angle+offset_r); 
        delay(500); 
        myservo1.write(angle); 
        delay(1000);
      }
      // === Measurement ===
      currentCount =0;
      time = millis();
      while (millis ()<time+measureTime*1000) {
        oldSensorValue = sensorValue;
        sensorValue = analogRead(sensorPin);
        if (sensorValue >cutOff && oldSensorValue <cutOff) {
          // positive slope triggering
          currentCount +=1;
        }
      }
      Serial.print(x);
      delay(100);
      Serial.print(",");
      Serial.print(angle);
      delay(100);
      Serial.print(","); 
      Serial.println(int((currentCount*60.0)/float(measureTime))); 
      delay(100);
    }
  }
}

