int w = 300; //Breite des Screens
int h = 300; //Hoehe des Screens
float fehlerq = 4; // Fehlerkoeffizient 4 entspricht etwa +-2grad, +-2mm,+5% 
float min, max;  
min=1000; // Minumaler und Maximaler Messwert werden am Ende ausgegeben
max=0;
String bild = "A"; // Name des Quellbildes
int messwerte_trans=40; // Anzahl an Schritten in der Translationsbewegung
int messwerte_rot=40; // Anzahl an Schritten in der Rotationsbewegung
size(w, h);
background(0);
noStroke();
//Bild laden und anzeigen
PImage img;
img = loadImage(bild+".png");
image(img, 0, 0);
//Ausgabedatei initialisieren
PrintWriter output;
output = createWriter("simulation_"+bild+""); 

loadPixels();  


float winkel, offset, intensity;
int x, y;
for (int winkeli = 0;winkeli<=messwerte_rot-1;winkeli+=1) {
  for (int offseti =  0;offseti<=messwerte_trans-1;offseti+=1) {
    winkel=((winkeli+0.0)/messwerte_rot)*(PI)+PI/2+fehlerq*((random(100)/100)-0.5)*(PI/180); //Winkel berechnen und mit Fehler versehen
    offset=(((offseti+0.0)/messwerte_trans)-0.5)*300+fehlerq*((random(100)/100)-0.5)*5; //Offset berechnen und mit Fehler versehen
    intensity = 0;
    for (int i = -w; i<w; i++) {
      x=Math.round(w/2+offset*cos(winkel)+i*sin(winkel));
      y=Math.round(h/2+offset*sin(winkel)-i*cos(winkel));
      if (0<x && x<w) {
        if (0<y && y<h) {
          int loc = x + y * width;
          intensity+=brightness(pixels[loc])/255; // Intensitaet aufaddieren
        }
      }
    }
    output.println(str(int((((offseti+0.0)/messwerte_trans))*180))+","+str(int(winkel/(2*PI)*360))+","+str(intensity+fehlerq*(random(100)/10)));

    if (intensity<min) {
      min=intensity;
    }  
    if (intensity>max) {
      max=intensity;
    }
  }
}

output.flush();
output.close();
println("Min: "+str(min)+" Max: "+str(max));
updatePixels(); 

